%define major 0
%define libname %mklibname %{name}-core %{major}

Summary:	Toolset to accelerate the boot process as well as application startups
Name:		e4rat
Version:	0.2.3
Release:	%mkrel 8
License:	GPLv3
Group:		System/Boot and Init
URL:		http://e4rat.sourceforge.net/
Source0:	http://sourceforge.net/projects/e4rat/files/%{name}_%{version}_src.tar.gz
Patch0:		git.diff
Patch1:		e4rat-0.2.2-libdir.patch
Patch2:		e4rat-0.2.3-shared-build.patch
Patch3:		e4rat-0.2.3-gcc7.patch
Patch4:		e4rat-0.2.3-glibc-2.28.patch
Patch5:		e4rat-boost-placeholders.patch
Patch50:  	e4rat-0.2.3-boost-1.76.0-compat.patch
BuildRequires:	cmake
BuildRequires:	boost-devel
BuildRequires:	pkgconfig(ext2fs)
BuildRequires:	pkgconfig(blkid)
BuildRequires:	auparse-devel
BuildRequires:	libstdc++-devel

%description
e4rat ("Ext4 - Reducing Access Times") is a toolset to accelerate the boot
process as well as application startups. Through physical file realloction
e4rat eliminates both seek times and rotational delays. This leads to a high
disk transfer rate.

Placing files on disk in a sequentially ordered way allows to efficiently
read-ahead files in parallel to the program startup. The combination of
sequentially reading and a high cache hit rate may reduce the boot time by a
factor of three, as the example below shows.

e4rat is based on the online defragmentation ioctl EXT4_IOC_MOVE_EXT from the
Ext4 filesystem, which was introduced in Linux Kernel 2.6.31. Other filesystem
types and/or earlier versions of extended filesystems are not supported.

%prep
%setup -q
%apply_patches

sed -i -e '/Boost_USE_MULTITHREADED/d' CMakeLists.txt

%build
%cmake
%make_build

%install
%make_install -C build

rm -rf %buildroot/usr/lib64/libe4rat-core.so

mkdir -p %buildroot/var/lib/e4rat

%files
%doc README
%config %{_sysconfdir}/%{name}.conf
%{_sbindir}/%{name}-collect
%{_sbindir}/%{name}-preload
%{_sbindir}/%{name}-realloc
%{_mandir}/man5/%{name}.conf.5*
%{_mandir}/man8/%{name}-collect.8*
%{_mandir}/man8/%{name}-preload.8*
%{_mandir}/man8/%{name}-realloc.8*
%dir /var/lib/e4rat
%{_libdir}/lib*%{name}-core.so.%{major}




%changelog
* Sun Sep 18 2022 tex - 0.2.3-8pclos2022
- rebuild against updates

* Mon Oct 11 2021 tex - 0.2.3-7pclos2021
- rebuild against updates

* Fri May 31 2019 tex 0.2.3-6pclos2019
- rebuild
